/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.admin.editparts;


import java.beans.PropertyChangeListener;
import org.eclipse.gef.editparts.AbstractGraphicalEditPart;
import org.objectweb.petals.admin.models.AbstractModel;
/**
 * @author Maxime Carpentier
 */
abstract public class EditPartWithListener
	extends AbstractGraphicalEditPart
	implements PropertyChangeListener {
	
	public final static int _AGENT_EDIT_PART = 0;
	public final static int _COMPONENT_EDIT_PART = 1;
	public final static int _COMPONENTS_EDIT_PART = 2;
	public final static int _ESB_EDIT_PART = 3;
	public final static int _SERVICE_CONTAINER_EDIT_PART = 4;
	public final static int _TRANSPORT_EDIT_PART = 5;
	public final static int _CONTENTS_SERVICE_CONTAINER_EDIT_PART = 6;
	public final static int _SERVICE_CONTAINER_TITLE_EDIT_PART = 7;

	
	public abstract int getEditPartType();
	
	/**
	 * @see org.eclipse.gef.EditPart#activate()
	 * hook the controller to the model
	 */
	public void activate() {
		super.activate();
		((AbstractModel) getModel()).addPropertyChangeListener(this);
	}

	/**
	 * @see org.eclipse.gef.EditPart#deactivate()
	 * unhook the controller to the model
	 */
	public void deactivate() {
		super.deactivate();

		 ((AbstractModel) getModel()).removePropertyChangeListener(this);
	}
}
