/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.admin.editparts;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.EditPartFactory;
import org.objectweb.petals.admin.models.AgentModel;
import org.objectweb.petals.admin.models.ComponentModel;
import org.objectweb.petals.admin.models.ComponentsModel;
import org.objectweb.petals.admin.models.ContentsEsbModel;
import org.objectweb.petals.admin.models.ContentsModel;
import org.objectweb.petals.admin.models.ContentsServiceContainerModel;
import org.objectweb.petals.admin.models.EsbModel;
import org.objectweb.petals.admin.models.LineConnectionModel;
import org.objectweb.petals.admin.models.ServiceContainerModel;
import org.objectweb.petals.admin.models.ServiceContainerTitleModel;
import org.objectweb.petals.admin.models.TransportModel;

/**
* @author Maxime Carpentier
*/
public class MyEditPartFactory implements EditPartFactory {

	/**
	 * @see org.eclipse.gef.EditPartFactory#createEditPart(org.eclipse.gef.EditPart, java.lang.Object)
	 * create EditParts associated to models
	 */
	public EditPart createEditPart(EditPart context, Object model) {
		EditPart part = null;
		if (model instanceof ContentsModel)
			part = new ContentsEditPart();
		else if (model instanceof ContentsServiceContainerModel) 
			part = new ContentsServiceContainerEditPart();
		else if (model instanceof ContentsEsbModel)
			part = new ContentsEsbEditPart();
		else if (model instanceof EsbModel)
			part = new EsbEditPart();
		else if (model instanceof ComponentsModel)
			part = new ComponentsEditPart();
		else if (model instanceof ComponentModel)
			part = new ComponentEditPart();
		else if (model instanceof TransportModel)
			part = new TransportEditPart();
		else if (model instanceof ServiceContainerModel)
			part = new ServiceContainerEditPart();
		else if (model instanceof ServiceContainerTitleModel)
			part = new ServiceContainerTitleEditPart();
		else if (model instanceof AgentModel)
			part = new AgentEditPart();
		else if (model instanceof LineConnectionModel)
		      part = new LineConnectionEditPart();


		part.setModel(model); 
		return part;
	}
}
