/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.admin.editparts.tree;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.EditPartFactory;
import org.objectweb.petals.admin.models.AgentModel;
import org.objectweb.petals.admin.models.ComponentModel;
import org.objectweb.petals.admin.models.ComponentsModel;
import org.objectweb.petals.admin.models.ServiceContainerDirectoryModel;
import org.objectweb.petals.admin.models.ServiceContainerModel;
import org.objectweb.petals.admin.models.ServiceContainerTitleModel;
import org.objectweb.petals.admin.models.TransportModel;

/**
* @author Maxime Carpentier
 * Associate tree editparts to models
 *
 */
public class TreeEditPartFactory implements EditPartFactory {

  public EditPart createEditPart(EditPart context, Object model) {
    EditPart part = null;

    if (model instanceof ServiceContainerDirectoryModel)
        part = new ServiceContainerDirectoryTreeEditPart();
    else if (model instanceof ServiceContainerModel)
        part = new ServiceContainerTreeEditPart();
    else if (model instanceof ComponentsModel)
        part = new ComponentsTreeEditPart();
    else if (model instanceof TransportModel)
        part = new TransportTreeEditPart();
    else if (model instanceof ComponentModel)
        part = new ComponentTreeEditPart();
    else if (model instanceof AgentModel)
        part = new AgentTreeEditPart();
    else if (model instanceof ServiceContainerTitleModel)
        part = new ServiceContainerTitleTreeEditPart();
    
    if (part != null)
      part.setModel(model);

    return part;
  }

}