/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.admin.editpolicies;


import org.eclipse.gef.EditPart;
import org.eclipse.gef.Request;
import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.FlowLayoutEditPolicy;
import org.eclipse.gef.requests.CreateRequest;
import org.objectweb.petals.admin.models.commands.MoveAgentCommand;

/**
 * 
 * @author Maxime Carpentier
 *
 * agents edit policy : an agent can be moved inside its container or added in a container
 */
public class TransportLayoutEditPolicy extends FlowLayoutEditPolicy {

	/**
	 * @see org.eclipse.gef.editpolicies.ConstrainedLayoutEditPolicy#createAddCommand(org.eclipse.gef.EditPart, java.lang.Object)
	 */
	protected Command createAddCommand(EditPart child, Object constraint) {
		return null;
	}

	/**
	 * @see org.eclipse.gef.editpolicies.ConstrainedLayoutEditPolicy#createChangeConstraintCommand(org.eclipse.gef.EditPart, java.lang.Object)
	 */
	protected Command createChangeConstraintCommand(EditPart child,Object constraint) {
			return null;
	}

	/**
	 * @see org.eclipse.gef.editpolicies.LayoutEditPolicy#getCreateCommand(org.eclipse.gef.requests.CreateRequest)
	 * return a new command enabling the possibility for a child to be created
	 * */
	  protected Command getCreateCommand(CreateRequest request) {
	  	return null;
	  	/*
	  	if (request.getNewObjectType() == AgentModel.class) {
		    CreateAgentCommand command = new CreateAgentCommand();
		    AgentModel model =new AgentModel(((ServiceContainerModel) getHost().getParent().getModel()).getEsbcontroller());
		    model.setName("myAgent");
		    command.setContentsModel(getHost().getModel());
		    command.setComponentModel(model);
		    return command;
	  	}
	  	else {
	  		return null;
	  	}*/
	  }

	
	  /**
	 * @see org.eclipse.gef.EditPolicy#getCommand(org.eclipse.gef.Request)
	 */
	public Command getCommand(Request request) {
	    if ((request.getType() == REQ_CREATE) || (request.getType() == REQ_MOVE_CHILDREN)) {
	    	return super.getCommand(request);
	    }
	    else return null;
	  }


	/**
	 * @see org.eclipse.gef.editpolicies.LayoutEditPolicy#getDeleteDependantCommand(org.eclipse.gef.Request)
	 */
	protected Command getDeleteDependantCommand(Request request) {
		return null;
	}

	/**
	 * @see org.eclipse.gef.editpolicies.OrderedLayoutEditPolicy#createAddCommand(org.eclipse.gef.EditPart, org.eclipse.gef.EditPart)
	 */
	protected Command createAddCommand(EditPart child, EditPart after) {
		return null;
	}

	/**
	 * @see org.eclipse.gef.editpolicies.OrderedLayoutEditPolicy#createMoveChildCommand(org.eclipse.gef.EditPart, org.eclipse.gef.EditPart)
	 * return a new command enabling the possibility for a child to move
	 * */
	protected Command createMoveChildCommand(EditPart child, EditPart after) {
		MoveAgentCommand command = new MoveAgentCommand(getHost().getModel(),child.getModel(),(after != null)?after.getModel():null);
		return command;
	}

}
