/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.admin.models;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Maxime Carpentier
 * This model is made to contain the ESB
 *
 */
public class ContentsEsbModel extends AbstractModel {

	public static final String P_CHILDREN = "_children";

	private List children = new ArrayList(); 

	/**
	 * @param child
	 */
	public void addChild(Object child) {
		children.add(child); 
		firePropertyChange(P_CHILDREN, null, null);
	}

	/**
	 * @return The children
	 */
	public List getChildren() {
		return children;
	}

	/**
	 * @param child
	 */
	public void removeChild(Object child) {

		children.remove(child);

		firePropertyChange(P_CHILDREN, null, null);
	}

}