/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.admin.models;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import java.util.List;

import org.eclipse.draw2d.geometry.Rectangle;
/**
* @author Maxime Carpentier
*/
public class ServiceContainerTitleModel extends AbstractModel implements PropertyChangeListener {
	public static final String P_NAME = "_name";
	public static final String P_TITLE = "_title";
	public static final String P_CONSTRAINT = "_constraint";
	public final String P_ID = "_componentsModel";
	private Rectangle constraint;

	
	private ServiceContainerModel container;
	
	public ServiceContainerTitleModel(ServiceContainerModel arg) {
		container = arg;
	}
	public String getTitle() {
		return container.getName();
	}
	
	public List getChildren() {
		return null;
	}

	public void removeChild(Object child) {
	}

	public Rectangle getConstraint() {
		return constraint;
	}
	public void setConstraint(Rectangle rect) {
		constraint = rect;
		firePropertyChange(P_CONSTRAINT, null, constraint);
	}
	/**
	 * @see java.beans.PropertyChangeListener#propertyChange(java.beans.PropertyChangeEvent)
	 * called to provide properties to the properties view
	 * */
	public void propertyChange(PropertyChangeEvent arg0) {
		if (arg0.getPropertyName().equals(ServiceContainerModel.P_TITLE)) {
			firePropertyChange(P_TITLE, null, null);
	}
}
	
}
