/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.admin.models.commands;


import org.eclipse.gef.commands.Command;
import org.objectweb.petals.admin.models.ComponentModel;
import org.objectweb.petals.admin.models.ComponentsModel;

/**
 * @author Maxime Carpentier
 * This command delete a component from a components Model
 */
public class DeleteComponentCommand extends Command {
  private ComponentsModel componentsModel;
  private ComponentModel componentModel;


  /**
 * @see org.eclipse.gef.commands.Command#execute()
 */
public void execute() {
  	componentsModel.removeChild(componentModel);
  }

  /**
 * @param model
 */
public void setContentsModel(Object model) {
  	componentsModel = (ComponentsModel) model;
  }

  /**
 * @param model
 */
public void setComponentModel(Object model) {
  	componentModel = (ComponentModel) model;
  }


  /**
 * @see org.eclipse.gef.commands.Command#undo()
 */
public void undo() {
  	componentsModel.addChild(componentModel);
  }

}