/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.admin.tools;

import org.eclipse.draw2d.FlowLayout;
import org.eclipse.draw2d.ImageFigure;
import org.eclipse.draw2d.Label;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.graphics.Image;
import org.objectweb.petals.admin.states.State;



/**
 * @author Maxime Carpentier
 * Custom graphical representation of an Agent
 */
public class AgentFigure extends ImageFigure {
	private FixedSizeLabel label ;
	public final static int P_HEIGHT = 14;
	public final static int P_WIDTH = 42;
	private State state;
	private ImageFigure imgfig;
	
	/**
	 * @param state
	 */
	public AgentFigure(State state) {
		//the widht of an agent figure is determined by the width of  img/agent.bmp image
		label = new FixedSizeLabel(ImageDatas._agent.getImageData().width - ImageDatas._agentRun.getImageData().width);
	  	this.state= state;
		Image img = ImageDatas._agent;

	  	this.setImage(img);
	  	FlowLayout fl = new FlowLayout(true);
		fl.setMinorAlignment(FlowLayout.ALIGN_CENTER);
		fl.setMinorSpacing(0);
		this.setLayoutManager(fl);
		
		Image img2 = state.getImage();
		imgfig = new ImageFigure();
		imgfig.setImage(img2);

		this.add(imgfig);
		
		this.add(label);
		//this.setPreferredSize(P_WIDTH,P_HEIGHT);

	}
	
	/**
	 * @param arg
	 */
	public void setImg(Image arg) {
		imgfig.setImage(arg);
		this.repaint();
	}
	
	/**
	 * @param name
	 */
	public void setName(String name) {
		label.setText(label.getSubStringText(name));
		label.setForegroundColor(new Color(null,0,0,0));
		label.setFont(new Font(null,"MS Sans Serif",8,0));
		label.setToolTip(new Label(name));
	}
}
	
	 
