/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.admin.tools;

import org.eclipse.draw2d.ChopboxAnchor;
import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.geometry.Rectangle;

/**
 * @author Maxime Carpentier
 * This anchor a chopboxAnchor which has its getBox() method redefined to provide a specific comportement to the EsbModel
 */
public class CustomChopboxAnchor extends ChopboxAnchor{
	private Rectangle srcConstraints;
	public final String P_ID = "_customChopboxAnchor";
	public CustomChopboxAnchor(IFigure owner,Rectangle rect) {
		super(owner);
		srcConstraints = rect;
	}
	protected Rectangle getBox() {
		Rectangle r = new Rectangle(srcConstraints.x,getOwner().getBounds().y,srcConstraints.width,getOwner().getBounds().height);
		return r;
	}

	public void setSrcConstraints(Rectangle srcConstraints) {
		this.srcConstraints = srcConstraints;
	}
	
}
