/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.admin.tools;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Display;
import org.objectweb.petals.admin.EsbEditor;



/**
 * @author Maxime Carpentier
 * static implementation of all images
 *
 */
public class ImageDatas {
	public static Image _agent;
	public static Image _agent_small;
	public static ImageDescriptor _agent_small_menu;
	
	public static Image _component_small;
	public static ImageDescriptor _component_small_menu;

	
	public static Image _components_small;
	
	public static Image _serviceContainerTitle;
	public static Image _serviceContainerTitle_mid;
	public static Image _serviceContainerTitle_left;
	public static Image _serviceContainerTitle_right;
	public static Image _serviceContainerTitle_small;

	public static  Image _container_border_horizontal;
	public static  Image _container_border_vertical;
	public static  Image _container_bottom;
	public static  Image _container_bottom_left;
	public static  Image _container_bottom_right;
	public static  Image _container_right;
	public static  Image _container_left;
	public static  Image _container_top;
	public static  Image _container_top_left;
	public static  Image _container_top_right;
	public static  Image _container_small;
	

	public static  Image _esb_left;
	public static  Image _esb_mid;
	public static  Image _esb_right;
	public static  Image _esb_pattern;

	public static ImageDescriptor _run;
	public static ImageDescriptor _stop;
	public static ImageDescriptor _init;
	public static ImageDescriptor _shutdown;

	public static Image _scdm_small;

	public static Image _transport;
	public static Image _transport_right;
	public static Image _transport_left;
	public static Image _transport_small;

	public static Image _agentRun;
	public static Display display;
	
	static {
		//esbadapt = null;


		_transport = new Image(null, EsbEditor.class.getResourceAsStream("/img/transport.bmp"));
		_transport_left = new Image(null, EsbEditor.class.getResourceAsStream("/img/transport_left.bmp"));
		_transport_right = new Image(null, EsbEditor.class.getResourceAsStream("/img/transport_right.bmp"));
		_transport_small = new Image(null,EsbEditor.class.getResourceAsStream("/img/transport_small.bmp"));
		
		_run =  ImageDescriptor.createFromFile(EsbEditor.class,"/img/run.bmp");
		_stop=  ImageDescriptor.createFromFile(EsbEditor.class,"/img/stop.bmp");
		_init =  ImageDescriptor.createFromFile(EsbEditor.class,"/img/run.bmp");
		_shutdown=  ImageDescriptor.createFromFile(EsbEditor.class,"/img/stop.bmp");

		_agent_small_menu =  ImageDescriptor.createFromFile(EsbEditor.class,"/img/agent_small_menu.bmp");
		_component_small_menu=  ImageDescriptor.createFromFile(EsbEditor.class,"/img/component_small_menu.bmp");
		_component_small =  new Image(null,EsbEditor.class.getResourceAsStream("/img/component_small.bmp"));

		_serviceContainerTitle_left = new Image(null, EsbEditor.class.getResourceAsStream("/img/serviceContainerTitle_left.bmp"));
		_serviceContainerTitle_right = new Image(null, EsbEditor.class.getResourceAsStream("/img/serviceContainerTitle_right.bmp"));
		_serviceContainerTitle_mid = new Image(null, EsbEditor.class.getResourceAsStream("/img/serviceContainerTitle_mid.bmp"));
		_serviceContainerTitle = new Image(null, EsbEditor.class.getResourceAsStream("/img/serviceContainerTitle.bmp"));
		_serviceContainerTitle_small = new Image(null, EsbEditor.class.getResourceAsStream("/img/serviceContainerTitle_small.bmp"));
		
		_agentRun =  new Image(null, EsbEditor.class.getResourceAsStream("/img/agentRun.bmp"));
		
		_agent = new Image(null, EsbEditor.class.getResourceAsStream("/img/agent.bmp"));
		_agent_small = new Image(null,EsbEditor.class.getResourceAsStream("/img/agent_small.bmp"));
		
	    _esb_mid = new Image(null, EsbEditor.class.getResourceAsStream("/img/esb_mid.bmp"));
	    _esb_pattern = new Image(null, EsbEditor.class.getResourceAsStream("/img/esb_pattern.bmp"));
	    _esb_left = new Image(null, EsbEditor.class.getResourceAsStream("/img/esb_left.bmp"));
	    _esb_right = new Image(null, EsbEditor.class.getResourceAsStream("/img/esb_right.bmp"));
	    
		_container_bottom = new Image(null, EsbEditor.class.getResourceAsStream("/img/container_bottom.bmp"));
		_container_left = new Image(null, EsbEditor.class.getResourceAsStream("/img/container_left.bmp"));
		_container_right = new Image(null, EsbEditor.class.getResourceAsStream("/img/container_right.bmp"));
		_container_top = new Image(null, EsbEditor.class.getResourceAsStream("/img/container_top.bmp"));
		_container_bottom_right = new Image(null, EsbEditor.class.getResourceAsStream("/img/container_bottom_right.bmp"));
		_container_bottom_left = new Image(null, EsbEditor.class.getResourceAsStream("/img/container_bottom_left.bmp"));
		_container_top_right = new Image(null, EsbEditor.class.getResourceAsStream("/img/container_top_right.bmp"));
		_container_top_left = new Image(null, EsbEditor.class.getResourceAsStream("/img/container_top_left.bmp"));

		_transport =  new Image(null, EsbEditor.class.getResourceAsStream("/img/transport.bmp"));
		
		_scdm_small = new Image(null,EsbEditor.class.getResourceAsStream("/img/scdm_small.bmp"));
		
		_container_small = new Image(null,EsbEditor.class.getResourceAsStream("/img/container_small.bmp"));
		
		_components_small = new Image(null,EsbEditor.class.getResourceAsStream("/img/components_small.bmp"));
		
	}
}
