/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.admin.tools;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;


import javax.management.*;

import org.objectweb.petals.admin.models.AgentModel;
import org.objectweb.petals.admin.models.ComponentModel;
import org.objectweb.petals.admin.models.ServiceContainerModel;


/**
 * @author Maxime Carpentier
 *
 */
public class JMXServerListener implements NotificationListener{
private List components = new ArrayList(); 
private MBeanServerConnection mbsc;
private ServiceContainerModel scm;

public void addComponent(ObjectName component) throws InstanceNotFoundException, IOException {
	components.add(component);
	mbsc.addNotificationListener(component,this,null,null);
}
	public JMXServerListener(MBeanServerConnection mbsc,ServiceContainerModel scm) {
		this.scm = scm;
		this.mbsc =mbsc;
	}
	/**
	 * @see javax.management.NotificationListener#handleNotification(javax.management.Notification, java.lang.Object)
	 */
	public void handleNotification(Notification arg0, Object arg1) {
        if(arg0.getType().equals(AttributeChangeNotification.ATTRIBUTE_CHANGE))
        {
        	ObjectName tmp = (ObjectName) arg0.getSource();
            String tmpName = tmp.getKeyProperty("name");
            String tmpType = tmp.getKeyProperty("type");
           
           if (((AttributeChangeNotification)arg0).getOldValue() == null) {
           		System.out.println("Error occured during operation -"+ ((AttributeChangeNotification)arg0).getNewValue());
           		return;
           }
           
           if (tmpType.equalsIgnoreCase("system")) {
           		AgentModel am = ((AgentModel) scm.getChild(tmpName,tmpType));
           		am.setState(((AttributeChangeNotification)arg0).getNewValue().toString());
             }
           else {
      		((ComponentModel) scm.getChild(tmpName,tmpType)).setState(((AttributeChangeNotification)arg0).getNewValue().toString());
           }
        
        }
		
	}

}
