/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: 
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.admin.tools;

import java.util.Iterator;

import org.eclipse.gef.ContextMenuProvider;
import org.eclipse.gef.GraphicalViewer;
import org.eclipse.gef.ui.actions.ActionRegistry;
import org.eclipse.gef.ui.actions.GEFActionConstants;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.action.IMenuManager;
import org.eclipse.ui.actions.ActionFactory;
import org.objectweb.petals.admin.actions.EsbAction;


/**
 * @author Maxime Carpentier
 * Build the contextual menu
 *
 */
public class MyContextMenuProvider extends ContextMenuProvider
{
	private ActionRegistry actionRegistry;

	public MyContextMenuProvider(ActionRegistry ar, GraphicalViewer gv)
	{
		super(gv);
		actionRegistry = ar;
	}
	public void buildContextMenu(IMenuManager manager)
	{
		GEFActionConstants.addStandardActionGroups(manager);
		IAction action;
		
		for (Iterator it = actionRegistry.getActions();it.hasNext();) {
			action = (IAction) it.next();
			if (action.getClass() == EsbAction.class) {
				if (action.isEnabled()) {
					manager.appendToGroup(GEFActionConstants.GROUP_REST, action);
				}
			}
		}

		action = actionRegistry.getAction(ActionFactory.DELETE.getId());
		if (action.isEnabled())
			manager.appendToGroup(GEFActionConstants.GROUP_EDIT, action);
	}

}