/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: Main.java,v 1.4 2005/07/22 10:24:27 alouis Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals;


import java.net.URL;

import org.objectweb.petals.config.ConfigHelper;
import org.objectweb.petals.config.ContainerConfig;
import org.objectweb.petals.container.Container;
import org.objectweb.petals.util.ESBLogger;


/**
 * Main class for launching the JBI container.
 * It reads the petals-config.xml file for initialize the container.
 * @author Adrien LOUIS - EBM WebSourcing
 */
public class Main {
    
    
    private Container container;
    
    public Main()
    {
        try 
        {
            ESBLogger.logFine(this,"init<>");
            
            URL url = this.getClass().getResource("/petals-config.xml");
            ConfigHelper configHelper = new ConfigHelper();
            ContainerConfig config= configHelper.createConfigFromFile(url);
            bootstrap(config);
        } 
        catch (Exception e) 
        {
            ESBLogger.logSevere(this,"<init>",e);
        }    
    }
    
    /**
     * Initialize the service container with the config
     * Transport agents and services are initialized
     * @param config
     * @throws Exception
     */
    public void bootstrap(ContainerConfig config) throws Exception
    {
        ESBLogger.logFine(this,"bootstrap()");
        
        container = new Container(config);
        container.start();
    }
    
    
    public static void main(String[] args)
    {
        new Main();
        
    }
}
