/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: ComponentConfig.java,v 1.2 2005/07/22 10:24:27 alouis Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.config;

/**
 * Contains JBI component configuration information.
 * @author Adrien LOUIS - EBM WebSourcing
 *
 */
public class ComponentConfig
{
    private String identification;
    
    private String type;
    
    private String componentClassName;
    
    private String componentClassPath;
    
    private String bootstrapClassName;
    
    private String bootstrapClassPath;
    
    public static final String BINDING_TYPE = "binding";
    
    public static final String ENGINE_TYPE = "engine";
    
    public String getBootstrapClassName() {
        return bootstrapClassName;
    }
    public void setBootstrapClassName(String bootstrapClassName) {
        this.bootstrapClassName = bootstrapClassName;
    }
    public String getBootstrapClassPath() {
        return bootstrapClassPath;
    }
    public void setBootstrapClassPath(String bootstrapClassPath) {
        this.bootstrapClassPath = bootstrapClassPath;
    }
    public String getComponentClassName() {
        return componentClassName;
    }
    public void setComponentClassName(String componentClassName) {
        this.componentClassName = componentClassName;
    }
    public String getComponentClassPath() {
        return componentClassPath;
    }
    public void setComponentClassPath(String componentClassPath) {
        this.componentClassPath = componentClassPath;
    }
    public String getIdentification() {
        return identification;
    }
    public void setIdentification(String identification) {
        this.identification = identification;
    }
    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }
        
    public String toString()
    {
        return getIdentification();
        
    }
}