/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: Address.java,v 1.2 2005/07/22 10:24:27 alouis Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.routing;

import java.io.Serializable;

import javax.xml.namespace.QName;

/**
 * @author Adrien LOUIS - EBM WebSourcing
 */
public class Address  implements Serializable
{
    public void setEndpoint(String endpoint)
    {
        this.endpoint = endpoint;
    }
    public void setInterfaceName(QName interfaceName)
    {
        this.interfaceName = interfaceName;
    }
    public void setService(QName service)
    {
        this.service = service;
    }
    protected QName interfaceName;
    
    protected QName service;
    
    protected String endpoint;
    
    protected String component;
    
    protected String container;
    
    public Address(QName interfaceName, QName service,String endpoint,String component, String container)
    {
        this.interfaceName 	= interfaceName;
        this.service 		= service;
        this.endpoint 		= endpoint;
        this.component 		= component;
        this.container 		= container;
    }
    
    public String getComponent()
    {
        return component;
    }
    public void setComponent(String component)
    {
        this.component = component;
    }
    public String getContainer()
    {
        return container;
    }
    public void setContainer(String container)
    {
        this.container = container;
    }
    public String getEndpoint()
    {
        return endpoint;
    }
    
    public QName getInterfaceName()
    {
        return interfaceName;
    }
    public QName getService()
    {
        return service;
    }
    
    public String toString()
    {
        return "Address;"+interfaceName+"->"+service+"->"+endpoint+"->"+component+"->"+container; 
    }
	/**
	 * @see petals.description.ESBReference#getName()
	 */
	public String getName() {
		return toString();
	}
	
    public boolean equals(Object o)
    {
    	if (o != null && o instanceof Address)
    	{
    		Address add = (Address) o;
    		
       		boolean serviceOk=false;
    		if (add.getService() != null){
    			serviceOk= add.getService().equals(getService()); 
    		}
    		else{
    			serviceOk = (getService() == null);
			}

       		boolean componentOk=false;
    		if (add.getComponent() != null){
    			componentOk= add.getComponent().equals(getComponent()); 
    		}
    		else{
    			componentOk = (getComponent() == null);
			}
    		
      		boolean containerOk=false;
    		if (add.getContainer() != null){
    			containerOk= add.getContainer().equals(getContainer()); 
    		}
    		else{
    			containerOk = (getContainer() == null);
			}

      		boolean endpointOk=false;
    		if (add.getEndpoint() != null){
    			endpointOk= add.getEndpoint().equals(getEndpoint()); 
    		}
    		else{
    			endpointOk = (getEndpoint() == null);
			}

    		return (serviceOk && componentOk && containerOk && endpointOk);
       	}
   		return false;

}
	
}
