/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: NormalizedMessageListener.java,v 1.2 2005/07/22 10:24:27 alouis Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.transport;

import org.objectweb.petals.messaging.MessageExchangeImpl;
import org.objectweb.petals.routing.RoutingException;


/**
 * This is the interface of the <code>IncomingMessageDispatcher</code>
 * for the <code>Transporter</code>.
 * when the transporter receives a message, it transfers it to
 * the incomingMessageDispatcher with the onMessage method.
 * TODO : message persistence has to be manage by the incomingMessageDispatcher, but the transporter can do it better.
 * @author Adrien LOUIS - EBM WebSourcing
 */
public interface NormalizedMessageListener {

	/**
	 * Called by the <b>Transporter</b> when it receives a message.
	 * @param msg
	 */
	void onMessage(MessageExchangeImpl msg) throws RoutingException;
	
}
